Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 209846

Summary: dev-python/gnome-python-extras-2.19.1-r1 fails tests if system's one is broken
Product: Gentoo Linux Reporter: Alexis Ballier <aballier>
Component: Current packagesAssignee: Gentoo Linux Gnome Desktop Team <gnome>
Status: RESOLVED FIXED    
Severity: enhancement CC: python, rhill
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: http://bugzilla.gnome.org/show_bug.cgi?id=519913
Whiteboard:
Package list:
Runtime testing required: ---

Description Alexis Ballier gentoo-dev 2008-02-12 14:14:51 UTC
I had to rebuild it due to the nspr bump & abi change and I get this at src_test:

make  check-local
make[2]: Entering directory `/var/tmp/portage/dev-python/gnome-python-extras-2.19.1-r1/work/gnome-python-extras-2.19.1/tests'
Trying to import module gtkhtml2...  ok.
Trying to import module egg.trayicon...  ok.
Trying to import module egg.recent...  ok.
Trying to import module gtkmozembed... 
Traceback (most recent call last):
  File "./runtests.py", line 6, in <module>
    import common
  File "/var/tmp/portage/dev-python/gnome-python-extras-2.19.1-r1/work/gnome-python-extras-2.19.1/tests/common.py", line 31, in <module>
    __import__(module) # try to import the module to catch undefined symbols
ImportError: libplds4.so.6: cannot open shared object file: No such file or directory
make[2]: *** [check-local] Error 1
make[2]: Leaving directory `/var/tmp/portage/dev-python/gnome-python-extras-2.19.1-r1/work/gnome-python-extras-2.19.1/tests'
make[1]: *** [check-am] Error 2
make[1]: Leaving directory `/var/tmp/portage/dev-python/gnome-python-extras-2.19.1-r1/work/gnome-python-extras-2.19.1/tests'
make: *** [check-recursive] Error 1
 * 
 * ERROR: dev-python/gnome-python-extras-2.19.1-r1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_test
 *             environment, line 2992:  Called die


this probably can be fixed by exporting some variables so that it tries to import the proper module and load the proper lib.

Of course one can skip tests once to have a non broken install and then it will be fine.
Comment 1 Gilles Dartiguelongue gentoo-dev 2008-02-12 14:18:29 UTC

> ImportError: libplds4.so.6: cannot open shared object file: No such file or
> directory

run revdep-rebuild and reopen if it doesn't fix it. Don't forget emerge --info next time please.
Comment 2 Alexis Ballier gentoo-dev 2008-02-12 14:39:06 UTC
(In reply to comment #1)
> 
> > ImportError: libplds4.so.6: cannot open shared object file: No such file or
> > directory
> 
> run revdep-rebuild and reopen if it doesn't fix it. Don't forget emerge --info
> next time please.


hu ? did you actually read the bug report ? It *was* during revdep-rebuild and failed because I had test in FEATURES. During tests, it tries to import it to check if it's ok but for some reason tries to import the one in the system and fails, obviously.
And yes, running revdep-rebuild without test in features """fixes""" it, e.g., if I readd test in features and try to emerge it it's ok since the one installed on my system isn't broken anymore. That's still a bug imho, not a big issue, thus the severity.


FWIW:
Portage 2.1.4.3 (default-linux/amd64/2007.0, gcc-4.2.2, glibc-2.7-r1, 2.6.24 x86_64)
=================================================================
System uname: 2.6.24 x86_64 AMD Athlon(tm) 64 Processor 3200+
Timestamp of tree: Unknown
distcc 2.18.3 x86_64-pc-linux-gnu (protocols 1 and 2) (default port 3632) [enabled]
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.4
dev-lang/python:     2.5.1-r5
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.24
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=athlon64 -O2 -pipe -g -ggdb"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=athlon64 -O2 -pipe -g -ggdb"
DISTDIR="/share/gentoo/distfiles"
FEATURES="buildsyspkg ccache collision-protect cvs distcc distlocks fixpackages installsources metadata-transfer multilib-strict parallel-fetch sandbox sfperms sign splitdebug strict test unmerge-orphans userfetch userpriv usersandbox"
GENTOO_MIRRORS="ftp://ftp.free.fr/mirrors/ftp.gentoo.org/"
LANG="en_US.utf8"
LDFLAGS="-Wl,--as-needed"
LINGUAS="en fr en_US"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage_cvs/gentoo-x86"
PORTDIR_OVERLAY="/usr/local/portage /share/overlay"
SYNC="cvs://aballier@cvs.gentoo.org:/var/cvsroot"
USE="3dnow 3dnowext X a52 aac aalib acl alsa amd64 apache2 asf audiofile authdaemond bash-completion berkdb bitmap-fonts bluetooth bogofilter browserplugin bzip2 cairo cddb cdio cdr cjk cli cracklib crypt css cups curl custom-cflags cvs dba dbus dirac directfb djvu dri dssi dts dv dvb dvd dvdnav dvdr dvdread dvi emerald enca encode escreen evo exif expat fam fame fat fbdev ffmpeg fftw firefox flac fltk fluidsynth fontconfig foomaticdb fortran fping ftp gd gdbm gif gimp glitz gnokii gnome gnutls gpac gpgme gpm graphviz gs gstreamer gtk gtkhtml hal hfs icecast iconv id3tag ide ieee1394 imagemagick imap imlib ipv6 irmc isdnlog ithreads jack javascript jfs jpeg jpeg2k kdeenablefinal kdehiddenvisibility kerberos kpathsea ladcca ladspa lame lash latex lcms ldap libcaca libnotify libsamplerate live lzo mad maildir matroska mbox md5sum midi mikmod mjpeg mmx mmxext mng modplug mono motif mozilla mp2 mp3 mp4 mpeg mplayer mudflap musepack musicbrainz ncurses network nfs nls nntp no-old-linux nodrm nowin nptl nptlonly nsplugin ntfs nvidia objc ocaml ocamlopt offensive ogg oggvorbis openal openexr opengl openmp pam pango pcre pda pdf perl png pnm portaudio postgres ppds pppd python qt3 qt4 quicktime radio rar readline reflection reiser4 reiserfs rle rtc rtsp ruby sasl sdl session shorten slang sms sndfile softmmu soundtouch sox spamassassin speex spell spl sqlite3 srt sse sse2 ssl stroke subtitles subversion svg sysfs t1lib tcpd test tetex tga theora threads tiff tk truetype truetype-fonts twolame type1-fonts udev unicode urandom usb v4l v4l2 vcd vchroot vim-syntax visualization vorbis wavpack wmf wxwindows x264 xcb xfs xine xinerama xml xorg xpm xprint xulrunner xv xvid xvmc zlib zvbi" ALSA_CARDS="bt87x intel8x0" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="canon" DVB_CARDS="usb-umt" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en fr en_US" LIRC_DEVICES="pctv" USERLAND="GNU" VIDEO_CARDS="vesa nv v4l nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 3 Rémi Cardona gentoo-dev 2008-02-12 14:51:54 UTC
Hum, I know the gnome-python-extras is ours, but I for one barely knows python. The C/unix way would be to set LD_LIBRARY_PATH or PATH to some other value for the duration of the test. But for python, I don't know what it would look like.

@Python herd: your help would be greatly appreciated :)

@All, either way, the bug should be reported upstream.
Comment 4 Gilles Dartiguelongue gentoo-dev 2008-02-12 14:59:51 UTC
err sorry, it wasn't clear from the summary and your first post that you were actually using revdep-rebuild and not rebuilding stuff by hand. As the testsuite only consists of python checks and it fails to isolate itself from the system, I'd  tend to disable it.

@herd what do you think ?
Comment 5 Tiziano Müller gentoo-dev 2008-02-12 15:26:36 UTC
Compare tests/Makefile.am found in gnome-python-desktop to the one from gnome-python-extras and you'll see what has to be done.
If possible, upstream should solve the issue. If not, you'll have to export PYTHONPATH="${S}/..." somewhere in src_test and let it point to the location where the to-be-installed modules are.
Comment 6 Hans de Graaff gentoo-dev 2008-03-23 09:10:30 UTC
The same problem surfaces when updating gnutls, as this causes gnome-python-extras' egg/recent.so to break in a similar way.
Comment 7 Gilles Dartiguelongue gentoo-dev 2008-03-23 11:34:19 UTC
upstream says it's too hard to fix. I can commit my current patch but as upstream said, it won't import the correct modules. Not sure about that though but I'm no python expert.
Comment 8 Gilles Dartiguelongue gentoo-dev 2008-06-02 21:15:22 UTC
bah, I've restricted tests for the time being. The tests weren't that useful on this package anyway.